Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsdom.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsdom.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsdom.F90	(revision 10986)
@@ -2085,4 +2085,5 @@
          WRITE(numout,*) ' njmpp_full  = ', njmpp_full
          WRITE(numout,*)
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       
@@ -2147,5 +2148,8 @@
 
          CASE ( 2 ) 
-            WRITE(numout,*)  'crs_init, jperio=2 not supported' 
+            IF(lwp) THEN
+               WRITE(numout,*)  'crs_init, jperio=2 not supported' 
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
         
          CASE ( 5, 6 )    ! F-pivot at North Fold
@@ -2178,10 +2182,16 @@
 
          CASE DEFAULT
-            WRITE(numout,*) 'crs_init. Only jperio = 0, 1, 3, 4, 5, 6 supported' 
+            IF(lwp) THEN
+               WRITE(numout,*) 'crs_init. Only jperio = 0, 1, 3, 4, 5, 6 supported' 
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
  
          END SELECT
 
       CASE (1 )
-         WRITE(numout,*) 'crs_init.  Equator-centered bins option not yet available' 
+         IF(lwp) THEN
+            WRITE(numout,*) 'crs_init.  Equator-centered bins option not yet available' 
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
 
       END SELECT
@@ -2250,7 +2260,10 @@
 
       !
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '    crsini : mbkt is ocean bottom k-index of T-, U-, V- and W-levels '
-      IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~~'
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) '    crsini : mbkt is ocean bottom k-index of T-, U-, V- and W-levels '
+         WRITE(numout,*) '    ~~~~~~~~~~~~~'
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
       !
       mbkt_crs(:,:) = MAX( mbathy_crs(:,:) , 1 )    ! bottom k-index of T-level (=1 over land)
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsdomwri.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsdomwri.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsdomwri.F90	(revision 10986)
@@ -58,7 +58,10 @@
       !
       !
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'crs_dom_wri : create NetCDF mesh and mask file'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'crs_dom_wri : create NetCDF mesh and mask file'
+         WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
       
       clnam = 'mesh_mask_crs'  ! filename (mesh and mask informations)
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsini.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsini.F90	(revision 10986)
@@ -99,4 +99,5 @@
         WRITE(numout,*) '      type of Kz coarsening (0,1,2)         nn_crs_kz  = ', nn_crs_kz
         WRITE(numout,*) '      wn coarsened or computed using hdivn  ln_crs_wn  = ', ln_crs_wn
+        IF(lflush) CALL FLUSH(numout)
      ENDIF
               
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/dia25h.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/dia25h.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/dia25h.F90	(revision 10986)
@@ -67,4 +67,5 @@
          WRITE(numout,*) '   Namelist nam_dia25h : set 25h outputs '
          WRITE(numout,*) '      Switch for 25h diagnostics (T) or not (F)  ln_dia25h  = ', ln_dia25h
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       IF( .NOT. ln_dia25h )   RETURN
@@ -159,4 +160,5 @@
               WRITE(numout,*) 'dia_wri_tide : Summing instantaneous hourly diagnostics at timestep ',kt
               WRITE(numout,*) '~~~~~~~~~~~~ '
+              IF(lflush) CALL FLUSH(numout)
          ENDIF
 
@@ -180,4 +182,5 @@
          IF (lwp) THEN
             WRITE(numout,*) 'dia_tide : Summed the following number of hourly values so far',cnt_25h
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          !
@@ -190,4 +193,5 @@
             WRITE(numout,*) 'dia_wri_tide : Writing 25 hour mean tide diagnostics at timestep', kt
             WRITE(numout,*) '~~~~~~~~~~~~ '
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          !
@@ -208,5 +212,8 @@
          ENDIF
          !
-         IF(lwp)  WRITE(numout,*) 'dia_wri_tide : Mean calculated by dividing 25 hour sums and writing output'
+         IF(lwp)  THEN
+            WRITE(numout,*) 'dia_wri_tide : Mean calculated by dividing 25 hour sums and writing output'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          zmdi=1.e+20 !missing data indicator for masking
          ! write tracers (instantaneous)
@@ -261,6 +268,9 @@
          ENDIF
          cnt_25h = 1
-         IF(lwp)  WRITE(numout,*) 'dia_wri_tide :   &
+         IF(lwp)  THEN
+            WRITE(numout,*) 'dia_wri_tide :   &
             &    After 25hr mean write, reset sum to current value and cnt_25h to one for overlapping average', cnt_25h
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
       ENDIF !  cnt_25h .EQ. 25 .AND.  MOD( kt, i_steps * 24) == 0 .AND. kt .NE. nn_it000
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diacfl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diacfl.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diacfl.F90	(revision 10986)
@@ -142,4 +142,5 @@
          WRITE(numout,*) '   Max Cv = ', rCv_max, ' at (i,j,k) = (',nCv_loc(1),nCv_loc(2),nCv_loc(3),') => dt/C = ', z2dt/rCv_max
          WRITE(numout,*) '   Max Cw = ', rCw_max, ' at (i,j,k) = (',nCw_loc(1),nCw_loc(2),nCw_loc(3),') => dt/C = ', z2dt/rCw_max
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
@@ -166,4 +167,5 @@
          WRITE(numcfl,*) 'Timestep  Direction  Max C     i    j    k'
          WRITE(numcfl,*) '******************************************'
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diadct.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diadct.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diadct.F90	(revision 10986)
@@ -158,5 +158,5 @@
         IF(nn_dct .GE. nn_dctwri .AND. MOD(nn_dct,nn_dctwri) .NE. 0)  &
           &  CALL ctl_stop( 'diadct: nn_dct should be smaller and a multiple of nn_dctwri' )
-
+        IF(lflush) CALL FLUSH(numout)
      ENDIF
 
@@ -222,4 +222,5 @@
          WRITE(numout,*) "~~~~~~~~~~~~~~~~~~~~~~~~~"
          WRITE(numout,*) "nb_sec = ",nb_sec
+         IF(lflush) CALL FLUSH(numout)
      ENDIF
 
@@ -241,5 +242,8 @@
         IF( MOD(kt,nn_dctwri)==0 )THEN
 
-           IF( kt==nit000+nn_dctwri-1 )WRITE(numout,*)"      diadct: average transports and write at kt = ",kt         
+           IF( kt==nit000+nn_dctwri-1 ) THEN
+              WRITE(numout,*)"      diadct: average transports and write at kt = ",kt         
+              IF(lflush) CALL FLUSH(numout)
+           ENDIF
   
            !! divide arrays by nn_dctwri/nn_dct to obtain average 
@@ -321,6 +325,8 @@
      DO jsec=1,nb_sec_max      !loop on the nb_sec sections
 
-        IF (  jsec==nn_secdebug .OR. nn_secdebug==-1  ) &
-           & WRITE(numout,*)'debuging for section number: ',jsec 
+        IF (  jsec==nn_secdebug .OR. nn_secdebug==-1  ) THEN
+           WRITE(numout,*)'debuging for section number: ',jsec 
+           IF(lflush) CALL FLUSH(numout)
+        ENDIF
 
         !initialization
@@ -341,5 +347,8 @@
         IF( jsec .NE. isec )  CALL ctl_stop( cltmp )
 
-        IF( jsec==nn_secdebug .OR. nn_secdebug==-1 )WRITE(numout,*)"isec ",isec 
+        IF( jsec==nn_secdebug .OR. nn_secdebug==-1 ) THEN
+           WRITE(numout,*)"isec ",isec 
+           IF(lflush) CALL FLUSH(numout)
+        ENDIF
 
         READ(numdct_in)secs(jsec)%name
@@ -376,4 +385,5 @@
             WRITE(numout,clformat)"      Temperature classes :             ",secs(jsec)%ztem
             WRITE(numout,clformat)"      Depth classes :                   ",secs(jsec)%zlay
+            IF(lflush) CALL FLUSH(numout)
         ENDIF               
 
@@ -398,4 +408,5 @@
                  WRITE(numout,*)'        # I J ',jpt,coordtemp(jpt),directemp(jpt)
               ENDDO                  
+              IF(lflush) CALL FLUSH(numout)
            ENDIF
  
@@ -434,4 +445,5 @@
                  WRITE(numout,*)'         # I J : ',iiglo,ijglo
               ENDDO
+              IF(lflush) CALL FLUSH(numout)
            ENDIF
 
@@ -468,11 +480,13 @@
                  ijglo = secs(jsec)%listPoint(jpt)%J + njmpp - 1
                  WRITE(numout,*)'         # I J : ',iiglo,ijglo
-                 CALL FLUSH(numout)
+                 IF(lflush) CALL FLUSH(numout)
               ENDDO
            ENDIF
 
         ELSE  ! iptglo = 0
-           IF( jsec==nn_secdebug .OR. nn_secdebug==-1 )&
+           IF( jsec==nn_secdebug .OR. nn_secdebug==-1 ) THEN
               WRITE(numout,*)'   No points for this section.'
+              IF(lflush) CALL FLUSH(numout)
+           ENDIF
         ENDIF
 
@@ -510,6 +524,9 @@
      !----------------------------------------------------------------------------
      !
-     IF( ld_debug )WRITE(numout,*)'      -------------------------'
-     IF( ld_debug )WRITE(numout,*)'      removepoints in listpoint'
+     IF( ld_debug ) THEN
+        WRITE(numout,*)'      -------------------------'
+        WRITE(numout,*)'      removepoints in listpoint'
+        IF(lflush) CALL FLUSH(numout)
+     ENDIF
 
      !iextr=extremity of list_point that we verify
@@ -529,4 +546,5 @@
         WRITE(numout,*)'      ', cdind,' ',cdextr,' ',itest
         WRITE(numout,*)'      Actual number of points: ',sec%nb_point
+        IF(lflush) CALL FLUSH(numout)
      ENDIF
 
@@ -556,4 +574,5 @@
         WRITE(numout,*)'      Number of points after removepoints :',sec%nb_point
         WRITE(numout,*)'      sec%direction after removepoints :',sec%direction(1:sec%nb_point)
+        IF(lflush) CALL FLUSH(numout)
      ENDIF
       !
@@ -592,5 +611,8 @@
       !!--------------------------------------------------------
       !
-      IF( ld_debug )WRITE(numout,*)'      Compute transport'
+      IF( ld_debug ) THEN
+         WRITE(numout,*)'      Compute transport'
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
 
       !---------------------------!
@@ -626,5 +648,8 @@
          IF( sec%slopeSection .GE. 9999. )     isgnv =  1
 
-         IF( ld_debug )write(numout,*)"sec%slopeSection isgnu isgnv ",sec%slopeSection,isgnu,isgnv
+         IF( ld_debug ) THEN
+            write(numout,*)"sec%slopeSection isgnu isgnv ",sec%slopeSection,isgnu,isgnv
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
 
          !--------------------------------------!
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaharm.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaharm.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaharm.F90	(revision 10986)
@@ -81,4 +81,5 @@
          WRITE(numout,*) 'dia_harm_init: Tidal harmonic analysis initialization'
          WRITE(numout,*) '~~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
@@ -99,4 +100,5 @@
          WRITE(numout,*) 'Last  time step used for analysis:  nitend_han= ', nitend_han
          WRITE(numout,*) 'Time step frequency for harmonic analysis:  nstep_han= ', nstep_han
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
 
@@ -123,5 +125,5 @@
          WRITE(numout,*) '        Namelist nam_diaharm'
          WRITE(numout,*) '        nb_ana    = ', nb_ana
-         CALL flush(numout)
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
@@ -148,9 +150,11 @@
       CALL tide_harmo( ana_freq, vt, ut, ft, name, nb_ana )
 
-      IF(lwp) WRITE(numout,*) 'Analysed frequency  : ',nb_ana ,'Frequency '
-
-      DO jh = 1, nb_ana
-        IF(lwp) WRITE(numout,*) '                    : ',tname(jh),' ',ana_freq(jh)
-      END DO
+      IF(lwp) THEN
+         WRITE(numout,*) 'Analysed frequency  : ',nb_ana ,'Frequency '
+         DO jh = 1, nb_ana
+            WRITE(numout,*) '                    : ',tname(jh),' ',ana_freq(jh)
+         END DO
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
 
       ! Initialize temporary arrays:
@@ -228,7 +232,10 @@
       !!--------------------------------------------------------------------
       !
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'anharmo_end: kt=nitend_han: Perform harmonic analysis'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'anharmo_end: kt=nitend_han: Perform harmonic analysis'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
 
       ztime_ini = nit000_han*rdt                 ! Initial time in seconds at the beginning of analysis
@@ -382,7 +389,10 @@
       !!----------------------------------------------------------------------
 
-      IF(lwp) WRITE(numout,*) '  '
-      IF(lwp) WRITE(numout,*) 'dia_wri_harm : Write harmonic analysis results'
-      IF(lwp) WRITE(numout,*) '  '
+      IF(lwp) THEN
+         WRITE(numout,*) '  '
+         WRITE(numout,*) 'dia_wri_harm : Write harmonic analysis results'
+         WRITE(numout,*) '  '
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
 
       ! A) Elevation
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahsb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahsb.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahsb.F90	(revision 10986)
@@ -211,5 +211,5 @@
          CALL iom_put( 'bgvole3t' , zdiff_v2 * 1.e-9    )              ! volume e3t drift      (km3)  
          !
-         IF( kt == nitend .AND. lwp) THEN
+         IF( kt == nitend .AND. lwp .AND. nprint > 0) THEN
             WRITE(numout,*)
             WRITE(numout,*) 'dia_hsb : last time step hsb diagnostics: at it= ', kt,' date= ', ndastp
@@ -219,4 +219,5 @@
             WRITE(numout,*) '   volume ssh  drift = ', zdiff_v1 * 1.e-9   , ' km^3'
             WRITE(numout,*) '   volume e3t  drift = ', zdiff_v2 * 1.e-9   , ' km^3'
+            IF(lflush) CALL FLUSH(numout)
          ENDIF
          !
@@ -257,7 +258,10 @@
          IF( ln_rstart ) THEN                   !* Read the restart file
             !
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '   dia_hsb_rst : read hsb restart at it= ', kt,' date= ', ndastp
-            IF(lwp) WRITE(numout,*)
+            IF(lwp) THEN
+               WRITE(numout,*)
+               WRITE(numout,*) '   dia_hsb_rst : read hsb restart at it= ', kt,' date= ', ndastp
+               WRITE(numout,*)
+               IF(lflush) CALL FLUSH(numout)
+            ENDIF
             CALL iom_get( numror, 'frc_v', frc_v, ldxios = lrxios )
             CALL iom_get( numror, 'frc_t', frc_t, ldxios = lrxios )
@@ -277,7 +281,9 @@
             ENDIF
          ELSE
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '   dia_hsb_rst : initialise hsb at initial state '
-            IF(lwp) WRITE(numout,*)
+            IF(lwp) THEN
+               WRITE(numout,*)
+               WRITE(numout,*) '   dia_hsb_rst : initialise hsb at initial state '
+               WRITE(numout,*)
+            ENDIF
             surf_ini(:,:) = e1e2t(:,:) * tmask_i(:,:)         ! initial ocean surface
             ssh_ini(:,:) = sshn(:,:)                          ! initial ssh
@@ -310,7 +316,10 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp .AND. nprint > 0) WRITE(numout,*)
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) '   dia_hsb_rst : write restart at it= ', kt,' date= ', ndastp
-         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) '   dia_hsb_rst : write restart at it= ', kt,' date= ', ndastp
+            WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          !
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
@@ -359,4 +368,5 @@
          WRITE(numout,*) 'dia_hsb_init : heat and salt budgets diagnostics'
          WRITE(numout,*) '~~~~~~~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       REWIND( numnam_ref )              ! Namelist namhsb in reference namelist
@@ -371,4 +381,5 @@
          WRITE(numout,*) '   Namelist  namhsb :'
          WRITE(numout,*) '      check the heat and salt budgets (T) or not (F)       ln_diahsb = ', ln_diahsb
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahth.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahth.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahth.F90	(revision 10986)
@@ -127,8 +127,11 @@
          END IF
 
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'dia_hth : diagnostics of the thermocline depth'
-         IF(lwp) WRITE(numout,*) '~~~~~~~ '
-         IF(lwp) WRITE(numout,*)
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'dia_hth : diagnostics of the thermocline depth'
+            WRITE(numout,*) '~~~~~~~ '
+            WRITE(numout,*)
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
       ENDIF
 
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaptr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaptr.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaptr.F90	(revision 10986)
@@ -407,4 +407,5 @@
          WRITE(numout,*) '      Poleward heat & salt transport (T) or not (F)      ln_diaptr  = ', ln_diaptr
          WRITE(numout,*) '      Global (F) or glo/Atl/Pac/Ind/Indo-Pac basins      ln_subbas  = ', ln_subbas
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
 
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diatmb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diatmb.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diatmb.F90	(revision 10986)
@@ -56,4 +56,5 @@
          WRITE(numout,*) '   Namelist nam_diatmb : set tmb outputs '
          WRITE(numout,*) '      Switch for TMB diagnostics (T) or not (F)  ln_diatmb  = ', ln_diatmb
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diawri.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diawri.F90	(revision 10985)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diawri.F90	(revision 10986)
@@ -430,5 +430,4 @@
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
       !
-      LOGICAL ::   ll_print = .FALSE.                        ! =T print and flush numout
       CHARACTER (len=40) ::   clhstnam, clop, clmx           ! local names
       INTEGER  ::   inum = 11                                ! temporary logical unit
@@ -488,12 +487,12 @@
          CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
          zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
-         IF(lwp)WRITE(numout,*)
-         IF(lwp)WRITE(numout,*) 'Date 0 used :', nit000, ' YEAR ', nyear,   &
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'Date 0 used :', nit000, ' YEAR ', nyear,   &
             &                    ' MONTH ', nmonth, ' DAY ', nday, 'Julian day : ', zjulian
-         IF(lwp)WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,   &
+            WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,   &
                                  ' limit storage in depth = ', ipk
-
-         ! WRITE root name in date.file for use by postpro
-         IF(lwp) THEN
+            IF(lflush) CALL FLUSH(numout)
+            ! WRITE root name in date.file for use by postpro
             CALL dia_nam( clhstnam, nwrite,' ' )
             CALL ctl_opn( inum, 'date.file', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
@@ -505,5 +504,8 @@
 
          CALL dia_nam( clhstnam, nwrite, 'grid_T' )
-         IF(lwp) WRITE(numout,*) " Name of NETCDF file ", clhstnam    ! filename
+         IF(lwp) THEN
+            WRITE(numout,*) " Name of NETCDF file ", clhstnam    ! filename
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,           &  ! Horizontal grid: glamt and gphit
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
@@ -541,5 +543,8 @@
 
          CALL dia_nam( clhstnam, nwrite, 'grid_U' )
-         IF(lwp) WRITE(numout,*) " Name of NETCDF file ", clhstnam    ! filename
+         IF(lwp) THEN
+            WRITE(numout,*) " Name of NETCDF file ", clhstnam    ! filename
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          CALL histbeg( clhstnam, jpi, glamu, jpj, gphiu,           &  ! Horizontal grid: glamu and gphiu
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
@@ -554,5 +559,8 @@
 
          CALL dia_nam( clhstnam, nwrite, 'grid_V' )                   ! filename
-         IF(lwp) WRITE(numout,*) " Name of NETCDF file ", clhstnam
+         IF(lwp) THEN
+            WRITE(numout,*) " Name of NETCDF file ", clhstnam
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          CALL histbeg( clhstnam, jpi, glamv, jpj, gphiv,           &  ! Horizontal grid: glamv and gphiv
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
@@ -567,5 +575,8 @@
 
          CALL dia_nam( clhstnam, nwrite, 'grid_W' )                   ! filename
-         IF(lwp) WRITE(numout,*) " Name of NETCDF file ", clhstnam
+         IF(lwp) THEN
+            WRITE(numout,*) " Name of NETCDF file ", clhstnam
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,           &  ! Horizontal grid: glamt and gphit
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
@@ -737,7 +748,9 @@
          CALL histend( nid_W, snc4chunks=snc4set )
 
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization'
-         IF(ll_print) CALL FLUSH(numout )
+         IF(lwp) THEN
+            WRITE(numout,*)
+            WRITE(numout,*) 'End of NetCDF Initialization'
+            IF(lflush) CALL FLUSH(numout)
+         ENDIF
 
       ENDIF
@@ -753,4 +766,5 @@
          WRITE(numout,*) 'dia_wri : write model outputs in NetCDF files at ', kt, 'time-step'
          WRITE(numout,*) '~~~~~~ '
+         IF(lflush) CALL FLUSH(numout)
       ENDIF
 
@@ -887,8 +901,11 @@
       !!----------------------------------------------------------------------
       ! 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'dia_wri_state : single instantaneous ocean state'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~   and forcing fields file created '
-      IF(lwp) WRITE(numout,*) '                and named :', cdfile_name, '...nc'
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'dia_wri_state : single instantaneous ocean state'
+         WRITE(numout,*) '~~~~~~~~~~~~~   and forcing fields file created '
+         WRITE(numout,*) '                and named :', cdfile_name, '...nc'
+         IF(lflush) CALL FLUSH(numout)
+      ENDIF
 
 #if defined key_si3
